Bug 1312561 - Review Request: gkrellm-sun - Sun clock plugin for GKrellM
Review Request: gkrellm-sun - Sun clock plugin for GKrellM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
: 1312601 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-27 06:39 EST by Hans de Goede
Modified: 2016-03-09 15:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 10:52:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2016-02-27 06:39:45 EST
Spec URL: https://fedorapeople.org/~jwrdegoede/gkrellm-sun.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/gkrellm-sun-1.0.0-19.fc24.src.rpm
Description:
A sun clock plugin for GKrellM which can display the sun's setting time,
rising time, path and current location and so on.

Fedora Account System Username: jwrdegoede

Note: This is an unretire review.
Comment 1 Antonio Trande 2016-02-27 10:10:53 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- gkrellsun.so is not "Full Relro"

- Please, use %global instead of %define

- Please, leave a comment for Patch0


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 24 files have unknown license. Detailed
     output of licensecheck in /home/sagitter/FedoraReview/1312561-gkrellm-
     sun/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gkrellm-
     sun-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define gkplugindir
     %{_libdir}/gkrellm2/plugins
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gkrellm-sun-1.0.0-19.fc24.x86_64.rpm
          gkrellm-sun-debuginfo-1.0.0-19.fc24.x86_64.rpm
          gkrellm-sun-1.0.0-19.fc24.src.rpm
gkrellm-sun.x86_64: E: incorrect-fsf-address /usr/share/licenses/gkrellm-sun/COPYING
3 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: gkrellm-sun-debuginfo-1.0.0-19.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
gkrellm-sun.x86_64: E: incorrect-fsf-address /usr/share/licenses/gkrellm-sun/COPYING
2 packages and 0 specfiles checked; 1 errors, 0 warnings.



Requires
--------
gkrellm-sun-debuginfo (rpmlib, GLIBC filtered):

gkrellm-sun (rpmlib, GLIBC filtered):
    gkrellm
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
gkrellm-sun-debuginfo:
    gkrellm-sun-debuginfo
    gkrellm-sun-debuginfo(x86-64)

gkrellm-sun:
    gkrellm-sun
    gkrellm-sun(x86-64)



Unversioned so-files
--------------------
gkrellm-sun: /usr/lib64/gkrellm2/plugins/gkrellsun.so

Source checksums
----------------
http://downloads.sf.net/gkrellsun/gkrellsun-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : a9fbf23c69fbaec7b0395e9adf78e98af3f9e8263a01c0312faa27c287757608
  CHECKSUM(SHA256) upstream package : a9fbf23c69fbaec7b0395e9adf78e98af3f9e8263a01c0312faa27c287757608


Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1312561
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Hans de Goede 2016-02-27 10:22:23 EST
Hi,

Thanks for the quick review, here is a new version fixing all the issues you pointed out:

Spec URL: https://fedorapeople.org/~jwrdegoede/gkrellm-sun.spec
SRPM URL: https://fedorapeople.org/~jwrdegoede/gkrellm-sun-1.0.0-20.fc24.src.rpm

Regards,

Hans
Comment 3 Antonio Trande 2016-02-27 10:37:15 EST
Package approved.
Comment 4 Hans de Goede 2016-02-27 15:24:02 EST
*** Bug 1312601 has been marked as a duplicate of this bug. ***
Comment 5 Fedora Update System 2016-02-29 04:47:57 EST
gkrellm-2.3.6-0.1.rc1.git20160226.fc23 gkrellm-sun-1.0.0-20.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e10fd8290e
Comment 6 Fedora Update System 2016-02-29 04:48:31 EST
gkrellm-2.3.6-0.1.rc1.git20160226.fc22 gkrellm-sun-1.0.0-20.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9be2619671
Comment 7 Fedora Update System 2016-02-29 18:51:12 EST
gkrellm-2.3.6-0.1.rc1.git20160226.fc22, gkrellm-sun-1.0.0-20.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9be2619671
Comment 8 Fedora Update System 2016-02-29 18:52:52 EST
gkrellm-2.3.6-0.1.rc1.git20160226.fc23, gkrellm-sun-1.0.0-20.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e10fd8290e
Comment 9 Fedora Update System 2016-03-09 10:52:40 EST
gkrellm-2.3.6-0.1.rc1.git20160226.fc23, gkrellm-sun-1.0.0-20.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-03-09 11:20:49 EST
gkrellm-2.3.6-0.1.rc1.git20160226.fc22, gkrellm-sun-1.0.0-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-09 13:45:36 EST
gkrellm-2.3.6-0.1.rc1.git20160226.fc22, gkrellm-sun-1.0.0-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-09 15:11:07 EST
gkrellm-2.3.6-0.1.rc1.git20160226.fc22, gkrellm-sun-1.0.0-20.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-03-09 15:12:45 EST
gkrellm-2.3.6-0.1.rc1.git20160226.fc23, gkrellm-sun-1.0.0-20.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.